%define upstream_name    HTML-FormatText-WithLinks-AndTables
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Converts HTML to Text with tables intact
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::FormatText)
BuildRequires: perl(HTML::FormatText::WithLinks)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module was inspired by HTML::FormatText::WithLinks which has proven to
be a useful `lynx -dump` work-alike. However one frustration was that no
other HTML converters I came across had the ability to deal affectively
with HTML <TABLE>s. This module can in a rudimentary sense do so. The aim
was to provide facility to take a simple HTML based email template, and to
also convert it to text with the <TABLE> structure intact for inclusion as
"multipart/alternative" content. Further, it will preserve both the
formatting specified by the <TD> tag's "align" attribute, and will also
preserve multiline text inside of a <TD> element provided it is broken
using <BR/> tags.

EXPORT
    None by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.70.0-5.mga10
+ Revision: 2203978
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.70.0-4.mga9
+ Revision: 1809397
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-3.mga8
+ Revision: 1504624
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-2.mga7
+ Revision: 1283962
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 0.70.0-1.mga7
+ Revision: 1133270
- update to 0.07

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1028221
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 971739
- Mageia 6 Mass Rebuild

* Fri Jun 05 2015 bcornec <bcornec> 0.60.0-1.mga6
+ Revision: 822918
- imported package perl-HTML-FormatText-WithLinks-AndTables


* Fri Jun 05 2015 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
